import res.Sprite;

class YellowUnit extends Unit {
	static final laserDelay:Float = 2;

	var laserTime:Float = laserDelay;

	public function new(sprite:Sprite) {
		super(sprite);
		currentFrameIndex = 2;
	}

	override function update(dt:Float) {
		super.update(dt);

		if (laserTime <= 0) {
			shotCb('laser');
			laserTime = laserDelay + laserTime;
		} else
			laserTime -= dt;
	}
}
